org.apache.cayenne.reflect.valueholder

## Class ValueHolderDescriptorFactory

- java.lang.Object
- - org.apache.cayenne.reflect.PersistentDescriptorFactory
  - - org.apache.cayenne.reflect.valueholder.ValueHolderDescriptorFactory

- All Implemented Interfaces:
    ClassDescriptorFactory

      public class ValueHolderDescriptorFactory
      extends PersistentDescriptorFactory

  A `ClassDescriptorFactory` for Persistent objects that implement relationship faulting via `ValueHolder`.
  Since:
    3.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.cayenne.reflect.PersistentDescriptorFactory

      `descriptorMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValueHolderDescriptorFactory(ClassDescriptorMap descriptorMap)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `createToManyCollectionProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
    `protected void` | `createToManyListProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
    `protected void` | `createToManyMapProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
    `protected void` | `createToManySetProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
    `protected void` | `createToOneProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`

    - ### Methods inherited from class org.apache.cayenne.reflect.PersistentDescriptorFactory

      `createAccessor, createAttributeProperty, createDescriptor, createEmbeddableAccessor, createEmbeddableDescriptor, createEmbeddedAttributeProperty, createMapKeyAccessor, getDescriptor, getDescriptor, indexAdditionalDbEntities, indexQualifiers, indexRootDbEntities, indexSubclassDescriptors, indexSuperclassProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValueHolderDescriptorFactory

          public ValueHolderDescriptorFactory(ClassDescriptorMap descriptorMap)

  - ### Method Detail

    - #### createToManyCollectionProperty

          protected void createToManyCollectionProperty(PersistentDescriptor descriptor,
                                                        ObjRelationship relationship)

      Specified by:
        `createToManyCollectionProperty` in class `PersistentDescriptorFactory`

    - #### createToManyListProperty

          protected void createToManyListProperty(PersistentDescriptor descriptor,
                                                  ObjRelationship relationship)

      Specified by:
        `createToManyListProperty` in class `PersistentDescriptorFactory`

    - #### createToManyMapProperty

          protected void createToManyMapProperty(PersistentDescriptor descriptor,
                                                 ObjRelationship relationship)

      Specified by:
        `createToManyMapProperty` in class `PersistentDescriptorFactory`

    - #### createToManySetProperty

          protected void createToManySetProperty(PersistentDescriptor descriptor,
                                                 ObjRelationship relationship)

      Specified by:
        `createToManySetProperty` in class `PersistentDescriptorFactory`

    - #### createToOneProperty

          protected void createToOneProperty(PersistentDescriptor descriptor,
                                             ObjRelationship relationship)

      Specified by:
        `createToOneProperty` in class `PersistentDescriptorFactory`

Copyright © 2001–2021 Apache Cayenne. All rights reserved.